Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686511 - Failed to compute_task_build_instances: local variable 'sibling_set' referenced before assignment [NEEDINFO]
Summary: Failed to compute_task_build_instances: local variable 'sibling_set' referenc...
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Stephen Finucane
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 15:31 UTC by ojanas
Modified: 2019-04-11 15:24 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-14.1.0-46.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
ojanas: needinfo? (sfinucan)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1821733 None None None 2019-03-26 17:23:52 UTC

Description ojanas 2019-03-07 15:31:33 UTC
Description of problem:

When spawning an Openstack instance, this error is received:

2019-03-07 08:07:38.499 3124 WARNING nova.scheduler.utils [req-e577cf31-7a58-420f-8ba5-3f962569ab08 0c90c8d8b42c42e883d2135cc733cac4 8b869a98a43e4fc48001e0ff6d149fe6 - - -] Failed to compute_task_build_instances: local variable 'sibling_set' referenced before assignment
Traceback (most recent call last):

  File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 133, in _process_incoming
    res = self.dispatcher.dispatch(message)

  File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 150, in dispatch
    return self._do_dispatch(endpoint, method, ctxt, args)

  File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 121, in _do_dispatch
    result = func(ctxt, **new_args)

  File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 199, in inner
    return func(*args, **kwargs)

  File "/usr/lib/python2.7/site-packages/nova/scheduler/manager.py", line 104, in select_destinations
    dests = self.driver.select_destinations(ctxt, spec_obj)

  File "/usr/lib/python2.7/site-packages/nova/scheduler/filter_scheduler.py", line 53, in select_destinations
    selected_hosts = self._schedule(context, spec_obj)

  File "/usr/lib/python2.7/site-packages/nova/scheduler/filter_scheduler.py", line 113, in _schedule
    spec_obj, index=num)

  File "/usr/lib/python2.7/site-packages/nova/scheduler/host_manager.py", line 576, in get_filtered_hosts
    hosts, spec_obj, index)

  File "/usr/lib/python2.7/site-packages/nova/filters.py", line 89, in get_filtered_objects
    list_objs = list(objs)

  File "/usr/lib/python2.7/site-packages/nova/filters.py", line 44, in filter_all
    if self._filter_one(obj, spec_obj):

  File "/usr/lib/python2.7/site-packages/nova/scheduler/filters/__init__.py", line 44, in _filter_one
    return self.host_passes(obj, spec)

  File "/usr/lib/python2.7/site-packages/nova/scheduler/filters/numa_topology_filter.py", line 123, in host_passes
    pci_stats=host_state.pci_stats))

  File "/usr/lib/python2.7/site-packages/nova/virt/hardware.py", line 1297, in numa_fit_instance_to_host
    host_cell, instance_cell, limits)

  File "/usr/lib/python2.7/site-packages/nova/virt/hardware.py", line 906, in _numa_fit_instance_cell
    host_cell, instance_cell)

  File "/usr/lib/python2.7/site-packages/nova/virt/hardware.py", line 854, in _numa_fit_instance_cell_with_pinning
    max(map(len, host_cell.siblings)))

  File "/usr/lib/python2.7/site-packages/nova/virt/hardware.py", line 805, in _pack_instance_onto_cores
    itertools.chain(*sibling_set)))

UnboundLocalError: local variable 'sibling_set' referenced before assignment

2019-03-07 08:07:38.500 3124 WARNING nova.scheduler.utils [req-e577cf31-7a58-420f-8ba5-3f962569ab08 0c90c8d8b42c42e883d2135cc733cac4 8b869a98a43e4fc48001e0ff6d149fe6 - - -] [instance: 5bca186a-5a36-4b0f-8b7a-f2f3bc168b29] Setting instance to ERROR state.


The error is received when this flavor is used for the VM:

+----------------------------+----------------------------------------------------------------------------------------------------------------------+
| Field                      | Value                                                                                                                |
+----------------------------+----------------------------------------------------------------------------------------------------------------------+
| OS-FLV-DISABLED:disabled   | False                                                                                                                |
| OS-FLV-EXT-DATA:ephemeral  | 0                                                                                                                    |
| access_project_ids         | None                                                                                                                 |
| disk                       | 40                                                                                                                   |
| id                         | 95ccf45e-7d1c-4c80-8207-90d56fdc83ac                                                                                 |
| name                       | vmme-dpdk-esc-prod-ha-mgmt                                                                                           |
| os-flavor-access:is_public | True                                                                                                                 |
| properties                 | aggregate_instance_extra_specs:vmme_vm_type='vmme-prod-ha-mgmt', hw:cpu_policy='dedicated', hw:mem_page_size='large' |
| ram                        | 4096                                                                                                                 |
| rxtx_factor                | 1.0                                                                                                                  |
| swap                       |                                                                                                                      |
| vcpus                      | 2                                                                                                                    |
+----------------------------+----------------------------------------------------------------------------------------------------------------------+

Actual results:

It is not possible to create the instance

Expected results:

It is possible to create the instance

Comment 8 Stephen Finucane 2019-03-26 17:30:45 UTC
I've pushed a patch for this upstream and will update once I receive feedback there. For what it's worth, the issue is because of he use of 'vcpu_pin_set', which is breaking the pinning algorithm. This has been resolved in OSP 13+.


Note You need to log in before you can comment on or make changes to this bug.